- Coupons are displayed on the Saucelive player screen.
- Request the partner company's coupon list API when entering the Saucelive player to search for the partner company's coupons.
- When transmitting AccessToken information, you must also convey whether or not the coupon owned by the corresponding _accessToken has been issued.
The coupon search API is provided by a partner, and Mobidoo follows the corresponding guide.
HTTP Request
| method | URL | Description |
|---|---|---|
| GET | - | Received coupon API EndPoint from partner company. |
| POST | - | Coupon API EndPoint provided with partner product code. |
Query Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
| accessToken | string | false | None | Search the list of coupons that the user can receive. Search entire coupon list if not delivered. |
| broadcastId | string | false | None | Search the list of coupons that can be issued on broadcast. |
The partner company’s unique product code is used as a search coupon API.
Request Body Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
| accessToken | string | false | None | Search the list of coupons that the user can receive. Search entire coupon list if not delivered. |
| externalProductIds | array | false | None | The partner's unique product code entered when registering the product. |
accessToken is JWT Token information generated when linking members. It is used to check whether the user has been issued a coupon and to check the list of coupons that can be issued.
Response Body
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
| maxIssueCount | number | true | None | Maximum number of coupons issued. (If 0, issuance complete) |
| couponId | string | true | None | Unique ID of coupon |
| couponName | string | true | None | Name of coupon |
| partnerId | string | true | None | Issued partner ID |
| limitMaxPrice | number | true | None | Maximum discountable amount |
| dcType | string | true | None | Coupon discount type (discount rate=Rate, discount amount=Fixed) |
| dcPrice | number | true | None | Discount amount |
| dcRate | number | true | None | Discount rate (if 10%, enter 10) |
| possiblePrice | number | true | None | Minimum order amount to use coupon |
| startDt | string | true | None | Coupon use start date |
| endDt | string | true | None | Coupon use end date |
| isShow | boolean | true | None | Exposed status |
Response Code - 200 : Success
Coupon format data follows the body presented in the table above as much as possible, and if linkage is necessary, further development must be carried out under consultation.
